| LicenseSpring C++ SDK 7.27.0 Easily add Software Licensing to your application

Public Member Functions | List of all members
LicenseSpring::NetworkInfo Class Reference

Class for storing a device's network information. More...

`#include <LicenseSpring/ExtendedOptions.h>`

## Public Member Functions
| NetworkInfo ()=default
| Constructor for networkInfo. More...
| ~NetworkInfo ()
| Destructor for networkInfo. More...
void | setIp (const std::string &ip)
| Setter for IP address. More...
const std::string & | ip () const
| Getter for IP address. More...
void | setMac (const std::string &mac)
| Setter for MAC address. More...
const std::string & | mac () const
| Getter for MAC address. More...
void | setHostName (const std::string &hostName)
| Setter for host name. More...
const std::string & | hostName () const
| Getter for host name. More...

## Detailed Description

Class for storing a device's network information.

See also
  The retrieval of some information can be disabled by using ExtendedOptions::collectNetworkInfo()

Definition at line 19 of file ExtendedOptions.h.

## Constructor & Destructor Documentation

## ◆ NetworkInfo()

LicenseSpring::NetworkInfo::NetworkInfo | ( |  | ) |
| default

Constructor for networkInfo.

## ◆ ~NetworkInfo()

LicenseSpring::NetworkInfo::~NetworkInfo | ( |  | ) |

Destructor for networkInfo.

## Member Function Documentation

## ◆ setIp()

void LicenseSpring::NetworkInfo::setIp | ( | const std::string & | ip | ) |

Setter for IP address.

Parameters

  ip | IP address

## ◆ ip()

const std::string& LicenseSpring::NetworkInfo::ip | ( |  | ) | const

Getter for IP address.

Returns
  String of IP address.

## ◆ setMac()

void LicenseSpring::NetworkInfo::setMac | ( | const std::string & | mac | ) |

Setter for MAC address.

Parameters

  mac | MAC address

## ◆ mac()

const std::string& LicenseSpring::NetworkInfo::mac | ( |  | ) | const

Getter for MAC address.

Returns
  String of MAC address.

## ◆ setHostName()

void LicenseSpring::NetworkInfo::setHostName | ( | const std::string & | hostName | ) |

Setter for host name.

Parameters

  hostName | Host name

## ◆ hostName()

const std::string& LicenseSpring::NetworkInfo::hostName | ( |  | ) | const

Getter for host name.

Returns
  UTF-8 encoded string of host name.

The documentation for this class was generated from the following file:

- LicenseSpring/ExtendedOptions.h